import * as patterns from './patterns/index'

Prism.languages.sensetalk = {
  comment: {
    pattern: patterns.comment,
    greedy: true
  },
  variable: [
    {
      pattern: patterns.variable
    }
  ],
  string: [
    {
      pattern: patterns.basic
    },
    {
      pattern: patterns.lists
    }
  ],
  operator: [
    {
      pattern: patterns.math
    },
    {
      pattern: patterns.constants
    }
  ],
  function: [
    {
      pattern: patterns.parenthesis
    },
    {
      pattern: patterns.noParenthesis
    }
  ],
  selector: [
    {
      pattern: patterns.commands
    },
    {
      pattern: patterns.asserts
    },
    {
      pattern: patterns.exits
    },
    {
      pattern: patterns.inserts
    },
    {
      pattern: patterns.locations
    }
  ],
  number: [
    {
      pattern: patterns.simple
    },
    {
      pattern: patterns.complex
    },
    {
      pattern: patterns.written
    },
    {
      pattern: patterns.metric
    },
    {
      pattern: patterns.money
    },
    {
      pattern: patterns.units
    }
  ]
}
